diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma/model/csma-net-device.h ns-3.44/src/csma/model/csma-net-device.h
--- ns-3.43/src/csma/model/csma-net-device.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma/model/csma-net-device.h	2025-03-09 16:55:49.371371000 -0700
@@ -32,16 +32,16 @@
 class ErrorModel;
 
 /**
- * \defgroup csma CSMA Network Device
+ * @defgroup csma CSMA Network Device
  *
  * This section documents the API of the ns-3 csma module. For a generic functional description,
  * please refer to the ns-3 manual.
  */
 
 /**
- * \ingroup csma
- * \class CsmaNetDevice
- * \brief A Device for a Csma Network Link.
+ * @ingroup csma
+ * @class CsmaNetDevice
+ * @brief A Device for a Csma Network Link.
  *
  * The Csma net device class is analogous to layer 1 and 2 of the
  * TCP stack. The NetDevice takes a raw packet of bytes and creates a
@@ -51,8 +51,8 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
@@ -85,7 +85,7 @@
      * defines the minimum space required between packets sent by this device.
      * As in Ethernet, it defaults to 96 bit times.
      *
-     * \param t the interframe gap time
+     * @param t the interframe gap time
      */
     void SetInterframeGap(Time t);
 
@@ -93,12 +93,12 @@
      * Set the backoff parameters used to determine the wait to retry
      * transmitting a packet when the channel is busy.
      *
-     * \see Attach ()
-     * \param slotTime Length of a packet slot (or average packet time)
-     * \param minSlots Minimum number of slots to wait
-     * \param maxSlots Maximum number of slots to wait
-     * \param maxRetries Maximum number of retries before packet is discard
-     * \param ceiling Cap on the exponential function when calculating max slots
+     * @see Attach ()
+     * @param slotTime Length of a packet slot (or average packet time)
+     * @param minSlots Minimum number of slots to wait
+     * @param maxSlots Maximum number of slots to wait
+     * @param maxRetries Maximum number of retries before packet is discard
+     * @param ceiling Cap on the exponential function when calculating max slots
      */
     void SetBackoffParams(Time slotTime,
                           uint32_t minSlots,
@@ -111,10 +111,10 @@
      *
      * The function Attach is used to add a CsmaNetDevice to a CsmaChannel.
      *
-     * \see SetDataRate ()
-     * \see SetInterframeGap ()
-     * \param ch a pointer to the channel to which this object is being attached.
-     * \returns true if no error
+     * @see SetDataRate ()
+     * @see SetInterframeGap ()
+     * @param ch a pointer to the channel to which this object is being attached.
+     * @returns true if no error
      */
     bool Attach(Ptr<CsmaChannel> ch);
 
@@ -125,16 +125,16 @@
      * level topology objects to implement a particular queueing method such as
      * DropTail.
      *
-     * \see Queue
-     * \see DropTailQueue
-     * \param queue a Ptr to the queue for being assigned to the device.
+     * @see Queue
+     * @see DropTailQueue
+     * @param queue a Ptr to the queue for being assigned to the device.
      */
     void SetQueue(Ptr<Queue<Packet>> queue);
 
     /**
      * Get a copy of the attached Queue.
      *
-     * \return a pointer to the queue.
+     * @return a pointer to the queue.
      */
     Ptr<Queue<Packet>> GetQueue() const;
 
@@ -144,8 +144,8 @@
      * The CsmaNetDevice may optionally include an ErrorModel in
      * the packet receive chain to simulate data errors in during transmission.
      *
-     * \see ErrorModel
-     * \param em a pointer to the ErrorModel
+     * @see ErrorModel
+     * @param em a pointer to the ErrorModel
      */
     void SetReceiveErrorModel(Ptr<ErrorModel> em);
 
@@ -157,44 +157,44 @@
      * used by the channel to indicate that the last bit of a packet has
      * arrived at the device.
      *
-     * \see CsmaChannel
-     * \param p a reference to the received packet
-     * \param sender the CsmaNetDevice that transmitted the packet in the first place
+     * @see CsmaChannel
+     * @param p a reference to the received packet
+     * @param sender the CsmaNetDevice that transmitted the packet in the first place
      */
     void Receive(Ptr<const Packet> p, Ptr<CsmaNetDevice> sender);
 
     /**
      * Is the send side of the network device enabled?
      *
-     * \returns True if the send side is enabled, otherwise false.
+     * @returns True if the send side is enabled, otherwise false.
      */
     bool IsSendEnabled() const;
 
     /**
      * Enable or disable the send side of the network device.
      *
-     * \param enable Enable the send side if true, otherwise disable.
+     * @param enable Enable the send side if true, otherwise disable.
      */
     void SetSendEnable(bool enable);
 
     /**
      * Is the receive side of the network device enabled?
      *
-     * \returns True if the receiver side is enabled, otherwise false.
+     * @returns True if the receiver side is enabled, otherwise false.
      */
     bool IsReceiveEnabled() const;
 
     /**
      * Enable or disable the receive side of the network device.
      *
-     * \param enable Enable the receive side if true, otherwise disable.
+     * @param enable Enable the receive side if true, otherwise disable.
      */
     void SetReceiveEnable(bool enable);
 
     /**
      * Set the encapsulation mode of this device.
      *
-     * \param mode The encapsulation mode of this device.
+     * @param mode The encapsulation mode of this device.
      *
      */
     void SetEncapsulationMode(CsmaNetDevice::EncapsulationMode mode);
@@ -202,7 +202,7 @@
     /**
      * Get the encapsulation mode of this device.
      *
-     * \returns The encapsulation mode of this device.
+     * @returns The encapsulation mode of this device.
      */
     CsmaNetDevice::EncapsulationMode GetEncapsulationMode();
 
@@ -223,7 +223,7 @@
     bool IsMulticast() const override;
 
     /**
-     * \brief Make and return a MAC multicast address using the provided
+     * @brief Make and return a MAC multicast address using the provided
      *        multicast group
      *
      * \RFC{1112} says that an Ipv4 host group address is mapped to an Ethernet
@@ -235,45 +235,45 @@
      * to an EUI-48-based CSMA device.  This MAC address is encapsulated in an
      *  abstract Address to avoid dependencies on the exact address format.
      *
-     * \param multicastGroup The IP address for the multicast group destination
+     * @param multicastGroup The IP address for the multicast group destination
      * of the packet.
-     * \return The MAC multicast Address used to send packets to the provided
+     * @return The MAC multicast Address used to send packets to the provided
      * multicast group.
      *
-     * \see Ipv4Address
-     * \see Mac48Address
-     * \see Address
+     * @see Ipv4Address
+     * @see Mac48Address
+     * @see Address
      */
     Address GetMulticast(Ipv4Address multicastGroup) const override;
 
     /**
      * Is this a point to point link?
-     * \returns false.
+     * @returns false.
      */
     bool IsPointToPoint() const override;
 
     /**
      * Is this a bridge?
-     * \returns false.
+     * @returns false.
      */
     bool IsBridge() const override;
 
     /**
      * Start sending a packet down the channel.
-     * \param packet packet to send
-     * \param dest layer 2 destination address
-     * \param protocolNumber protocol number
-     * \return true if successful, false otherwise (drop, ...)
+     * @param packet packet to send
+     * @param dest layer 2 destination address
+     * @param protocolNumber protocol number
+     * @return true if successful, false otherwise (drop, ...)
      */
     bool Send(Ptr<Packet> packet, const Address& dest, uint16_t protocolNumber) override;
 
     /**
      * Start sending a packet down the channel, with MAC spoofing
-     * \param packet packet to send
-     * \param source layer 2 source address
-     * \param dest layer 2 destination address
-     * \param protocolNumber protocol number
-     * \return true if successful, false otherwise (drop, ...)
+     * @param packet packet to send
+     * @param source layer 2 source address
+     * @param dest layer 2 destination address
+     * @param protocolNumber protocol number
+     * @return true if successful, false otherwise (drop, ...)
      */
     bool SendFrom(Ptr<Packet> packet,
                   const Address& source,
@@ -283,21 +283,21 @@
     /**
      * Get the node to which this device is attached.
      *
-     * \returns Ptr to the Node to which the device is attached.
+     * @returns Ptr to the Node to which the device is attached.
      */
     Ptr<Node> GetNode() const override;
 
     /**
      * Set the node to which this device is being attached.
      *
-     * \param node Ptr to the Node to which the device is being attached.
+     * @param node Ptr to the Node to which the device is being attached.
      */
     void SetNode(Ptr<Node> node) override;
 
     /**
      * Does this device need to use the address resolution protocol?
      *
-     * \returns True if the encapsulation mode is set to a value that requires
+     * @returns True if the encapsulation mode is set to a value that requires
      * ARP (IP_ARP or LLC).
      */
     bool NeedsArp() const override;
@@ -306,16 +306,16 @@
      * Set the callback to be used to notify higher layers when a packet has been
      * received.
      *
-     * \param cb The callback.
+     * @param cb The callback.
      */
     void SetReceiveCallback(NetDevice::ReceiveCallback cb) override;
 
     /**
-     * \brief Get the MAC multicast address corresponding
+     * @brief Get the MAC multicast address corresponding
      * to the IPv6 address provided.
-     * \param addr IPv6 address
-     * \return the MAC multicast address
-     * \warning Calling this method is invalid if IsMulticast returns not true.
+     * @param addr IPv6 address
+     * @return the MAC multicast address
+     * @warning Calling this method is invalid if IsMulticast returns not true.
      */
     Address GetMulticast(Ipv6Address addr) const override;
 
@@ -327,8 +327,8 @@
      * used by this model.  Return the number of streams (possibly zero) that
      * have been assigned.
      *
-     * \param stream first stream index to use
-     * \return the number of stream indices assigned by this model
+     * @param stream first stream index to use
+     * @return the number of stream indices assigned by this model
      */
     int64_t AssignStreams(int64_t stream);
 
@@ -343,10 +343,10 @@
      * Adds the necessary headers and trailers to a packet of data in order to
      * respect the packet type
      *
-     * \param p Packet to which header should be added
-     * \param source MAC source address from which packet should be sent
-     * \param dest MAC destination address to which packet should be sent
-     * \param protocolNumber In some protocols, identifies the type of
+     * @param p Packet to which header should be added
+     * @param source MAC source address from which packet should be sent
+     * @param dest MAC destination address to which packet should be sent
+     * @param protocolNumber In some protocols, identifies the type of
      * payload contained in this packet.
      */
     void AddHeader(Ptr<Packet> p, Mac48Address source, Mac48Address dest, uint16_t protocolNumber);
@@ -355,22 +355,22 @@
     /**
      * Operator = is declared but not implemented.  This disables the assignment
      * operator for CsmaNetDevice objects.
-     * \param o object to copy
-     * \returns the copied object
+     * @param o object to copy
+     * @returns the copied object
      */
     CsmaNetDevice& operator=(const CsmaNetDevice& o);
 
     /**
      * Copy constructor is declared but not implemented.  This disables the
      * copy constructor for CsmaNetDevice objects.
-     * \param o object to copy
+     * @param o object to copy
      */
     CsmaNetDevice(const CsmaNetDevice& o);
 
     /**
      * Initialization function used during object construction.
-     * \param sendEnable if device will be allowed to send
-     * \param receiveEnable if device will be allowed to receive
+     * @param sendEnable if device will be allowed to send
+     * @param receiveEnable if device will be allowed to receive
      */
     void Init(bool sendEnable, bool receiveEnable);
 
@@ -388,8 +388,8 @@
      * If the channel is found to be BUSY, this method reschedules itself for
      * execution at a later time (within the backoff period).
      *
-     * \see CsmaChannel::TransmitStart ()
-     * \see TransmitCompleteEvent ()
+     * @see CsmaChannel::TransmitStart ()
+     * @see TransmitCompleteEvent ()
      */
     void TransmitStart();
 
@@ -406,8 +406,8 @@
      * method, the net device also schedules the TransmitReadyEvent at which
      * time the transmitter becomes ready to send the next packet.
      *
-     * \see CsmaChannel::TransmitEnd ()
-     * \see TransmitReadyEvent ()
+     * @see CsmaChannel::TransmitEnd ()
+     * @see TransmitReadyEvent ()
      */
     void TransmitCompleteEvent();
 
@@ -423,7 +423,7 @@
      * If a packet is in the queue, it is extracted for the queue as the
      * next packet to be transmitted by the net device.
      *
-     * \see TransmitStart ()
+     * @see TransmitStart ()
      */
     void TransmitReadyEvent();
 
@@ -471,7 +471,7 @@
 
     /**
      * The state of the Net Device transmit state machine.
-     * \see TxMachineState
+     * @see TxMachineState
      */
     TxMachineState m_txMachineState;
 
@@ -485,14 +485,14 @@
     /**
      * The data rate that the Net Device uses to simulate packet transmission
      * timing.
-     * \see class DataRate
+     * @see class DataRate
      */
     DataRate m_bps;
 
     /**
      * The interframe gap that the Net Device uses insert time between packet
      * transmission
-     * \see class Time
+     * @see class Time
      */
     Time m_tInterframeGap;
 
@@ -513,7 +513,7 @@
     /**
      * The CsmaChannel to which this CsmaNetDevice has been
      * attached.
-     * \see class CsmaChannel
+     * @see class CsmaChannel
      */
     Ptr<CsmaChannel> m_channel;
 
@@ -521,8 +521,8 @@
      * The Queue which this CsmaNetDevice uses as a packet source.
      * Management of this Queue has been delegated to the CsmaNetDevice
      * and it has the responsibility for deletion.
-     * \see class Queue
-     * \see class DropTailQueue
+     * @see class Queue
+     * @see class DropTailQueue
      */
     Ptr<Queue<Packet>> m_queue;
 
@@ -537,7 +537,7 @@
      * The trace source fired when packets come into the "top" of the device
      * at the L3/L2 transition, before being queued for transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxTrace;
 
@@ -545,7 +545,7 @@
      * The trace source fired when packets coming into the "top" of the device
      * at the L3/L2 transition are dropped before being queued for transmission.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxDropTrace;
 
@@ -554,7 +554,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macPromiscRxTrace;
 
@@ -563,7 +563,7 @@
      * immediately before being forwarded up to higher layers (at the L2/L3
      * transition).  This is a non-promiscuous trace.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macRxTrace;
 
@@ -572,7 +572,7 @@
      * but dropped before being forwarded up to higher layers (at the L2/L3
      * transition).
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macRxDropTrace;
 
@@ -581,7 +581,7 @@
      * process for a packet.  This can happen a number of times as the backoff
      * sequence is repeated with increasing delays.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_macTxBackoffTrace;
 
@@ -589,7 +589,7 @@
      * The trace source fired when a packet begins the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxBeginTrace;
 
@@ -597,7 +597,7 @@
      * The trace source fired when a packet ends the transmission process on
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxEndTrace;
 
@@ -605,7 +605,7 @@
      * The trace source fired when the phy layer drops a packet as it tries
      * to transmit it.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyTxDropTrace;
 
@@ -613,7 +613,7 @@
      * The trace source fired when a packet begins the reception process from
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxBeginTrace;
 
@@ -621,14 +621,14 @@
      * The trace source fired when a packet ends the reception process from
      * the medium.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxEndTrace;
 
     /**
      * The trace source fired when the phy layer drops a packet it has received.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_phyRxDropTrace;
 
@@ -648,7 +648,7 @@
      * this would correspond to the point at which the packet is dispatched to
      * packet sniffers in netif_receive_skb.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_snifferTrace;
 
@@ -668,7 +668,7 @@
      * this would correspond to the point at which the packet is dispatched to
      * packet sniffers in netif_receive_skb.
      *
-     * \see class CallBackTraceSource
+     * @see class CallBackTraceSource
      */
     TracedCallback<Ptr<const Packet>> m_promiscSnifferTrace;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma-layout/examples/csma-star.cc ns-3.44/src/csma-layout/examples/csma-star.cc
--- ns-3.43/src/csma-layout/examples/csma-star.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma-layout/examples/csma-star.cc	2025-03-09 16:55:49.367371000 -0700
@@ -148,16 +148,16 @@
         Address hubLocalAddress(InetSocketAddress(Ipv4Address::GetAny(), port));
         PacketSinkHelper packetSinkHelper("ns3::TcpSocketFactory", hubLocalAddress);
         ApplicationContainer hubApp = packetSinkHelper.Install(star.GetHub());
-        hubApp.Start(Seconds(1.0));
-        hubApp.Stop(Seconds(10.0));
+        hubApp.Start(Seconds(1));
+        hubApp.Stop(Seconds(10));
     }
     else
     {
         Address hubLocalAddress6(Inet6SocketAddress(Ipv6Address::GetAny(), port));
         PacketSinkHelper packetSinkHelper6("ns3::TcpSocketFactory", hubLocalAddress6);
         ApplicationContainer hubApp6 = packetSinkHelper6.Install(star.GetHub());
-        hubApp6.Start(Seconds(1.0));
-        hubApp6.Stop(Seconds(10.0));
+        hubApp6.Start(Seconds(1));
+        hubApp6.Stop(Seconds(10));
     }
 
     //
@@ -184,8 +184,8 @@
         spokeApps.Add(onOffHelper.Install(star.GetSpokeNode(i)));
     }
 
-    spokeApps.Start(Seconds(1.0));
-    spokeApps.Stop(Seconds(10.0));
+    spokeApps.Start(Seconds(1));
+    spokeApps.Stop(Seconds(10));
 
     //
     // Because we are evil, we also add OnOff applications to send TCP to the hub
@@ -214,8 +214,8 @@
         fillApps.Add(onOffHelper.Install(fillNodes.Get(i)));
     }
 
-    fillApps.Start(Seconds(1.0));
-    fillApps.Stop(Seconds(10.0));
+    fillApps.Start(Seconds(1));
+    fillApps.Stop(Seconds(10));
 
     NS_LOG_INFO("Enable static global routing.");
     //
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/csma-layout/model/csma-star-helper.h ns-3.44/src/csma-layout/model/csma-star-helper.h
--- ns-3.43/src/csma-layout/model/csma-star-helper.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/csma-layout/model/csma-star-helper.h	2025-03-09 16:55:49.367371000 -0700
@@ -21,14 +21,14 @@
 {
 
 /**
- * \defgroup csmalayout CSMA Layout Helpers
+ * @defgroup csmalayout CSMA Layout Helpers
  *
  */
 
 /**
- * \ingroup csmalayout
+ * @ingroup csmalayout
  *
- * \brief A helper to make it easier to create a star topology
+ * @brief A helper to make it easier to create a star topology
  * with Csma links
  */
 class CsmaStarHelper
@@ -38,11 +38,11 @@
      * Create a CsmaStarHelper in order to easily create
      * star topologies using Csma links
      *
-     * \param numSpokes the number of links attached to
+     * @param numSpokes the number of links attached to
      *        the hub node, creating a total of
      *        numSpokes + 1 nodes
      *
-     * \param csmaHelper the link helper for Csma links,
+     * @param csmaHelper the link helper for Csma links,
      *        used to link nodes together
      */
     CsmaStarHelper(uint32_t numSpokes, CsmaHelper csmaHelper);
@@ -51,80 +51,80 @@
 
   public:
     /**
-     * \returns a node pointer to the hub node in the
+     * @returns a node pointer to the hub node in the
      *          star, i.e., the center node
      */
     Ptr<Node> GetHub() const;
 
     /**
-     * \param i an index into the spokes of the star
+     * @param i an index into the spokes of the star
      *
-     * \returns a node pointer to the node at the indexed spoke
+     * @returns a node pointer to the node at the indexed spoke
      */
     Ptr<Node> GetSpokeNode(uint32_t i) const;
 
     /**
-     * \returns the net-device container which contains all of
+     * @returns the net-device container which contains all of
      *          the devices on the hub node
      */
     NetDeviceContainer GetHubDevices() const;
 
     /**
-     * \returns the net-device container which contains all of
+     * @returns the net-device container which contains all of
      *          the spoke node devices
      */
     NetDeviceContainer GetSpokeDevices() const;
 
     /**
-     * \param i index into the hub interfaces
+     * @param i index into the hub interfaces
      *
-     * \returns Ipv4Address according to indexed hub interface
+     * @returns Ipv4Address according to indexed hub interface
      */
     Ipv4Address GetHubIpv4Address(uint32_t i) const;
 
     /**
-     * \param i index into the hub interfaces
+     * @param i index into the hub interfaces
      *
-     * \returns Ipv6Address according to indexed hub interface
+     * @returns Ipv6Address according to indexed hub interface
      */
     Ipv6Address GetHubIpv6Address(uint32_t i) const;
 
     /**
-     * \param i index into the spoke interfaces
+     * @param i index into the spoke interfaces
      *
-     * \returns Ipv4Address according to indexed spoke interface
+     * @returns Ipv4Address according to indexed spoke interface
      */
     Ipv4Address GetSpokeIpv4Address(uint32_t i) const;
 
     /**
-     * \param i index into the spoke interfaces
+     * @param i index into the spoke interfaces
      *
-     * \returns Ipv6Address according to indexed spoke interface
+     * @returns Ipv6Address according to indexed spoke interface
      */
     Ipv6Address GetSpokeIpv6Address(uint32_t i) const;
 
     /**
-     * \returns the total number of spokes in the star
+     * @returns the total number of spokes in the star
      */
     uint32_t SpokeCount() const;
 
     /**
-     * \param stack an InternetStackHelper which is used to install
+     * @param stack an InternetStackHelper which is used to install
      *              on every node in the star
      */
     void InstallStack(InternetStackHelper stack);
 
     /**
-     * \param address an Ipv4AddressHelper which is used to install
+     * @param address an Ipv4AddressHelper which is used to install
      *                Ipv4 addresses on all the node interfaces in
      *                the star
      */
     void AssignIpv4Addresses(Ipv4AddressHelper address);
 
     /**
-     * \param network an IPv6 Address representing the network portion
+     * @param network an IPv6 Address representing the network portion
      *                of the Ipv6 Address
-     * \param prefix the prefix length
+     * @param prefix the prefix length
      */
     void AssignIpv6Addresses(Ipv6Address network, Ipv6Prefix prefix);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/doc/dsdv.h ns-3.44/src/dsdv/doc/dsdv.h
--- ns-3.43/src/dsdv/doc/dsdv.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/doc/dsdv.h	2025-03-09 16:55:49.371371000 -0700
@@ -22,7 +22,7 @@
 #define DSDV_H
 
 /**
- * \defgroup dsdv DSDV Routing
+ * @defgroup dsdv DSDV Routing
  *
  * This section documents the API of the ns-3 DSDV module. For a
  * generic functional description, please refer to the ns-3 model
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/examples/dsdv-manet.cc ns-3.44/src/dsdv/examples/dsdv-manet.cc
--- ns-3.43/src/dsdv/examples/dsdv-manet.cc	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/examples/dsdv-manet.cc	2025-03-09 16:55:49.371371000 -0700
@@ -35,15 +35,15 @@
 NS_LOG_COMPONENT_DEFINE("DsdvManetExample");
 
 /**
- * \defgroup dsdv-examples DSDV Examples
- * \ingroup dsdv
- * \ingroup examples
+ * @defgroup dsdv-examples DSDV Examples
+ * @ingroup dsdv
+ * @ingroup examples
  */
 
 /**
- * \ingroup dsdv-examples
+ * @ingroup dsdv-examples
  *
- * \brief DSDV Manet example
+ * @brief DSDV Manet example
  */
 class DsdvManetExample
 {
@@ -51,17 +51,17 @@
     DsdvManetExample();
     /**
      * Run function
-     * \param nWifis The total number of nodes
-     * \param nSinks The total number of receivers
-     * \param totalTime The total simulation time
-     * \param rate The network speed
-     * \param phyMode The physical mode
-     * \param nodeSpeed The node speed
-     * \param periodicUpdateInterval The routing update interval
-     * \param settlingTime The routing update settling time
-     * \param dataStart The data transmission start time
-     * \param printRoutes print the routes if true
-     * \param CSVfileName The CSV file name
+     * @param nWifis The total number of nodes
+     * @param nSinks The total number of receivers
+     * @param totalTime The total simulation time
+     * @param rate The network speed
+     * @param phyMode The physical mode
+     * @param nodeSpeed The node speed
+     * @param periodicUpdateInterval The routing update interval
+     * @param settlingTime The routing update settling time
+     * @param dataStart The data transmission start time
+     * @param printRoutes print the routes if true
+     * @param CSVfileName The CSV file name
      */
     void CaseRun(uint32_t nWifis,
                  uint32_t nSinks,
@@ -99,12 +99,12 @@
     void CreateNodes();
     /**
      * Create and initialize all devices
-     * \param tr_name The trace file name
+     * @param tr_name The trace file name
      */
     void CreateDevices(std::string tr_name);
     /**
      * Create network
-     * \param tr_name The trace file name
+     * @param tr_name The trace file name
      */
     void InstallInternetStack(std::string tr_name);
     /// Create data sinks and sources
@@ -113,14 +113,14 @@
     void SetupMobility();
     /**
      * Packet receive function
-     * \param socket The communication socket
+     * @param socket The communication socket
      */
     void ReceivePacket(Ptr<Socket> socket);
     /**
      * Setup packet receivers
-     * \param addr the receiving IPv4 address
-     * \param node the receiving node
-     * \returns the communication socket
+     * @param addr the receiving IPv4 address
+     * @param node the receiving node
+     * @returns the communication socket
      */
     Ptr<Socket> SetupPacketReceive(Ipv4Address addr, Ptr<Node> node);
     /// Check network throughput
@@ -229,7 +229,7 @@
 
     out.close();
     packetsReceived = 0;
-    Simulator::Schedule(Seconds(1.0), &DsdvManetExample::CheckThroughput, this);
+    Simulator::Schedule(Seconds(1), &DsdvManetExample::CheckThroughput, this);
 }
 
 Ptr<Socket>
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/dsdv/helper/dsdv-helper.h ns-3.44/src/dsdv/helper/dsdv-helper.h
--- ns-3.43/src/dsdv/helper/dsdv-helper.h	2024-10-09 16:41:09.868656000 -0700
+++ ns-3.44/src/dsdv/helper/dsdv-helper.h	2025-03-09 16:55:49.371371000 -0700
@@ -29,8 +29,8 @@
 namespace ns3
 {
 /**
- * \ingroup dsdv
- * \brief Helper class that adds DSDV routing to nodes.
+ * @ingroup dsdv
+ * @brief Helper class that adds DSDV routing to nodes.
  */
 class DsdvHelper : public Ipv4RoutingHelper
 {
@@ -38,7 +38,7 @@
     DsdvHelper();
     ~DsdvHelper() override;
     /**
-     * \returns pointer to clone of this DsdvHelper
+     * @returns pointer to clone of this DsdvHelper
      *
      * This method is mainly for internal use by the other helpers;
      * clients are expected to free the dynamic memory allocated by this method
@@ -46,16 +46,16 @@
     DsdvHelper* Copy() const override;
 
     /**
-     * \param node the node on which the routing protocol will run
-     * \returns a newly-created routing protocol
+     * @param node the node on which the routing protocol will run
+     * @returns a newly-created routing protocol
      *
      * This method will be called by ns3::InternetStackHelper::Install
      *
      */
     Ptr<Ipv4RoutingProtocol> Create(Ptr<Node> node) const override;
     /**
-     * \param name the name of the attribute to set
-     * \param value the value of the attribute to set.
+     * @param name the name of the attribute to set
+     * @param value the value of the attribute to set.
      *
      * This method controls the attributes of ns3::dsdv::RoutingProtocol
      */
